4480 entries · page 7 of 90

Attribute types

The fields an entry can hold: cn, mail, uidNumber, and several hundred more. Each has a syntax, matching rules, and an OID.

OIDNameDefined in
1.3.6.1.1.1.1.37authGUID
2.5.4.38authorityRevocationList Authority-Revocation-ListRFC 4523, RFC 2256
1.3.6.1.4.1.5322.17.2.1authorizedService
1.3.6.1.4.1.4203.1.3.4authPasswordRFC 3112
2.16.840.1.113730.3.1.2101autoMemberDefaultGroup
2.16.840.1.113730.3.1.2103autoMemberDisabled
2.16.840.1.113730.3.1.2099autoMemberExclusiveRegex
2.16.840.1.113730.3.1.2098autoMemberFilter
2.16.840.1.113730.3.1.2102autoMemberGroupingAttr
2.16.840.1.113730.3.1.2100autoMemberInclusiveRegex
2.16.840.1.113730.3.1.2097autoMemberScope
2.16.840.1.113730.3.1.2105autoMemberTargetGroup
1.3.6.1.1.1.1.33automountInformation
1.3.6.1.1.1.1.32automountKey
1.3.6.1.1.1.1.31automountMapName
1.2.840.113556.1.2.351auxiliaryClass Auxiliary-Class
2.16.840.1.113730.3.1.2386availableSASLMechanisms
1.2.840.113556.1.4.49badPasswordTime Bad-Password-Time
1.2.840.113556.1.4.12badPwdCount Bad-Pwd-Count
1.3.6.1.4.1.36733.2.1.1.77bindRequests
1.3.6.1.4.1.36733.2.1.1.78bindResponses
1.3.6.1.4.1.11.1.3.1.1.4bindTimeLimitRFC 4876
1.2.840.113556.1.4.332birthLocation Birth-Location
1.3.6.1.4.1.7628.5.4.2blockInheritance
1.3.6.1.1.1.1.24bootFile
1.3.6.1.1.1.1.23bootParameter
1.2.840.113556.1.4.820bridgeheadServerListBL Bridgehead-Server-List-BL
1.2.840.113556.1.4.819bridgeheadTransportList Bridgehead-Transport-List
0.9.2342.19200300.100.1.48buildingNameRFC 4524, RFC 1274
1.2.840.113556.1.4.13builtinCreationTime Builtin-Creation-Time
1.2.840.113556.1.4.14builtinModifiedCount Builtin-Modified-Count
2.5.4.15businessCategory Business-CategoryRFC 4519, RFC 2256
1.2.840.113556.1.4.284bytesPerMinute Bytes-Per-Minute
1.3.6.1.4.1.36733.2.1.1.67bytesRead
1.3.6.1.4.1.36733.2.1.1.68bytesWritten
2.5.4.6c countryName, Country-Name, C Country, as the two-letter ISO 3166 code rather than the spelled-out name. PrintableString, single-valued. You mostly …RFC 4519
2.5.4.23.1c-FacsimileTelephoneNumberRFC 3671
2.5.4.25.1c-InternationalISDNNumberRFC 3671
2.5.4.7.1c-lRFC 3671
2.5.4.10.1c-oRFC 3671
2.5.4.11.1c-ouRFC 3671
2.5.4.19.1c-PhysicalDeliveryOffice c-PhysicalDeliveryOfficeNameRFC 3671
2.5.4.16.1c-PostalAddressRFC 3671
2.5.4.17.1c-PostalCodeRFC 3671
2.5.4.18.1c-PostOfficeBoxRFC 3671
2.5.4.8.1c-stRFC 3671
2.5.4.9.1c-streetRFC 3671
2.5.4.20.1c-TelephoneNumberRFC 3671
2.5.4.21.1c-TelexNumberRFC 3671
1.3.6.1.4.1.2428.20.1.257cAARecord
← All categories